/** \file FileMenu.java
 */
package net.sourceforge.amore.gui;

import javax.swing.AbstractAction ;
import javax.swing.JMenu ;
import javax.swing.JMenuItem ;

import net.sourceforge.amore.gui.Actions.FileAction ;

public class FileMenu extends JMenu {

    private FileMenu() {
        super();
        setText("File");
        AbstractAction actions[] = FileAction.allActions;

        for(int j=0; j<actions.length; j++)
	    add(new JMenuItem( actions[j] ));
    }
    
    private static FileMenu instance = null;
    
    public  static FileMenu getInstance() {
        if( instance == null )
            instance = new FileMenu();
        return instance;
    }
}
