/* MonoidPanel.java
 */
package net.sourceforge.amore.gui.Panels ;

import net.sourceforge.amore.gui.Panels.Tables.* ;
import net.sourceforge.amore.gui.util.LayoutHelp ;
import net.sourceforge.amore.Ldo.LangDefObj ;
import net.sourceforge.amore.Ldo.Monoid ;

import java.awt.* ;
import javax.swing.* ;
import javax.swing.table.* ;
/** this panel displays an Monoid (elements, relations)
 */

public class MonoidPanel extends LangDefObjPanel {
    private MonoidPanel( LangDefObj obj ) {
	// this one should never be used explicitly
    }
    
    public MonoidPanel( Monoid mon ) {
	super(mon);

	LayoutHelp.makeLabel("nstates: "  + mon.getNelements(), this, 
			     gridbag, constraints);

	constraints.gridwidth = GridBagConstraints.REMAINDER; //end row

	JTable table = new MonoidTable( new MonoidTableModel( mon ) );
	JTableHeader tableHeader = table.getTableHeader();
	gridbag.setConstraints(tableHeader, constraints);
	add(tableHeader);
	gridbag.setConstraints(table, constraints);
	add(table);

    }
    
}
