/* NfaPanel.java
 */

package net.sourceforge.amore.gui.Panels ;

import net.sourceforge.amore.gui.Panels.Tables.* ;
import net.sourceforge.amore.gui.util.LayoutHelp ;
import net.sourceforge.amore.Ldo.LangDefObj ;
import net.sourceforge.amore.Ldo.Nfa ;

import java.awt.* ;
import javax.swing.* ;
import javax.swing.table.* ;

/** this panel displays an Nfa
 */

public class NfaPanel extends LangDefObjPanel {

    private NfaPanel( LangDefObj obj ) {
	// this one should never be used explicitly
    }

    public NfaPanel( Nfa nfa ) {
	super(nfa);

	// makeLabel("nletters:"  + nfa.getNletters());
	LayoutHelp.makeLabel("nstates: "  + nfa.getNstates(), this, 
			     gridbag, constraints);

	constraints.gridwidth = GridBagConstraints.REMAINDER; //end row

	JTable table = new NfaTable( new NfaTableModel( nfa ) );
	JTableHeader tableHeader = table.getTableHeader();

	gridbag.setConstraints(tableHeader, constraints);
	add(tableHeader);
	gridbag.setConstraints(table, constraints);
	add(table);

    }
}
