/* RegExpPanel.java
 */

package net.sourceforge.amore.gui.Panels ;

import net.sourceforge.amore.gui.global.PanelUIResource ;
import net.sourceforge.amore.gui.util.LayoutHelp;

import net.sourceforge.amore.Ldo.LangDefObj ;
import net.sourceforge.amore.Ldo.RegExp ;

import java.awt.* ;
import javax.swing.* ;

public class RegExpPanel extends LangDefObjPanel {
    private RegExpPanel( LangDefObj ldo ) {
	// don't use this.
    }

    public RegExpPanel( RegExp rex ) {
	super(rex);
	
	constraints.gridwidth = GridBagConstraints.REMAINDER; //end row

	JTextField tf = new JTextField(" "+rex.getRex()+" " );
	tf.setEditable( false );
	tf.setFont( PanelUIResource.regExpFont );
	
	gridbag.setConstraints(tf, constraints);
	add(tf);
    }
}
