package net.sourceforge.amore.gui.Panels.Tables ;

import net.sourceforge.amore.Ldo.* ;
import java.awt.* ;
import javax.swing.* ;
import javax.swing.table.* ;



/** Table that displays transition table of a Dfa
 */
public class DfaTable extends JTable {

    /** this is simply to avoid that cells can be selected / focussed
     */
    public class MyTableCellRenderer extends DefaultTableCellRenderer {
	public Component getTableCellRendererComponent(JTable table, 
						       Object value, 
						       boolean isSelected, 
						       boolean hasFocus, 
						       int row,
						       int column) {
	    return super.getTableCellRendererComponent(table, value, 
						       false, false,
						       row, column) ;
	}
    }
    
    public DfaTable( DfaTableModel s ) {
	super( s );
	setRowSelectionAllowed( false );
	getTableHeader().setReorderingAllowed( false );

	// get first column, 
	TableColumnModel colmodel = getColumnModel();
	TableColumn col1 = colmodel.getColumn( 0 );
	// make it unselectable and gray
	DefaultTableCellRenderer renderer = new MyTableCellRenderer();
	renderer.setBackground(new Color(215,215,215));
	
	renderer.setHorizontalAlignment( SwingConstants.CENTER );
	col1.setCellRenderer( renderer );
	
	// setGridColor(new Color(255,0,255)); // spielerei (Farbe d. Linien)
    }
}
