/** NfaStatesTableModel.java
 */
package net.sourceforge.amore.gui.Panels.Tables ;

import net.sourceforge.amore.gui.util.QTool ;
import net.sourceforge.amore.Ldo.Monoid ;

import java.awt.* ;
import javax.swing.* ;
import javax.swing.table.* ;

public class MonoidTableModel extends AbstractTableModel {
    Monoid mon;
    
    public int getColumnCount() {
	return mon.getNelements() + 1;
    }
    public int getRowCount() {
	return mon.getNstates();
    }
    public Class getColumnClass() {
	return String.class ;
    }
    public String getColumnName( int col ) {
	if(col == 0)
	    // first col holds names
	    return "";
	col--;
	return Integer.toString(col);
    }
    public Object getValueAt(int row, int col) {
	if( col == 0 ) {
	    return mon.getPrWord(row);
	}
	col--;
	return new Integer(mon.getNo2Trans(row, col));
    } // getValue at
    public MonoidTableModel( Monoid mon ) {
	this.mon = mon;
    }
}
