package net.sourceforge.amore.gui.SessionTree ;

import net.sourceforge.amore.gui.SessionTree.GuiNode.GuiNode ;

/** a SessionTreeObserver is notified when the user selects another
 *  SessionTree Node ("GuiNode"), provided he has registered himself
 *  with the SessionTree.
 */
public interface SessionTreeObserver {

    /** this method is called when the user selects another
     *  SessionTree Node ("GuiNode"). the object which is now the
     *  current selection is given as argument.
     */
    public void selectedObjectChanged(GuiNode newSelectedObject) ;

}
