package net.sourceforge.amore.gui.global ;

/** holds a few unavoidable global variables
 */
public class Resource {

    private static boolean DEBUG;

    private static boolean SHOW_SESSION_NAME;

    private Resource() {
	//DEBUG = Boolean.getBoolean("net.sourceforge.amore.gui.DEBUG");
	DEBUG = true;
	SHOW_SESSION_NAME = true;
    }

    public boolean getDebug() {
	return DEBUG;
    }

    public boolean getShow_session_name() {
	return SHOW_SESSION_NAME;
    }

    protected static Resource instance;
    
    public static Resource getInstance() {
	if(instance == null)
	    instance = new Resource();
	return instance;
    }

}
