/* AMoREcommands.h
 *
 * 30.11.2000
 * Burak Emir
 */

/** enumerates AMOREcommands. interface class is used to remedy the lack
 *  of macros in Java
 */

/* transformation from one LDO to another 
 */
#define Cenfa2nfa      1
#define Cgenrex2nfa    Cenfa2nfa   + 1
#define Cnfa2rex       Cgenrex2nfa + 1
#define Crex2nfa       Cnfa2rex    + 1
#define Cnfa2dfa       Crex2nfa    + 1
#define Cdfa2nfa       Cnfa2dfa    + 1
#define Cdfamdfa       Cdfa2nfa    + 1
#define Cnfa2mnfa      Cdfamdfa    + 1
#define Cdfa2mon       Cnfa2mnfa   + 1
#define Cmon2sfx       Cdfa2mon    + 1
#define Cmon2rel       Cmon2sfx    + 1
#define Cmon2dcl       Cmon2rel    + 1

/* from one language to another
 */

/* unary */
#define CstarLnfa      Cmon2dcl    + 1
#define CplusLnfa      CstarLnfa   + 1
#define CcompLdfa      CplusLnfa   + 1
#define CrevLnfa       CcompLdfa   + 1
#define CminLdfa       CrevLnfa    + 1
#define CmaxLdfa       CminLdfa    + 1
#define CprefLdfa      CmaxLdfa    + 1
#define CsuffLdfa      CprefLdfa   + 1 
/* binary */
#define CunionLLnfa     CsuffLdfa    + 1
#define CconcatLLnfa    CunionLLnfa  + 1
#define CinsecLLdfa     CconcatLLnfa + 1
#define CdifferLLdfa    CinsecLLdfa  + 1
#define CleftQuotLLnfa  CdifferLLdfa + 1
#define CrightQuotLLnfa CleftQuotLLnfa + 1

/* tests
 */

/* unary */
#define Ctest_empty_full  CrightQuotLLnfa   + 1

// not impl
//#define Ctest_folu        Ctest_empty_full + 1

#define Ctest_starfree    Ctest_empty_full  + 1

/* binary */
#define Ctest_equiv       Ctest_starfree   + 1
#define Ctest_incl        Ctest_equiv      + 1
#define Ctest_disj        Ctest_incl       + 1



