#ifndef _OBJ_H
#define _OBJ_H
/* obj.h
 */

#include "nfa.h"
#include "dfa.h"
#include "mon.h"
#include "regexp.h"
#include "sfexp.h"

enum objtype { Dfa, 
	       MinDfa, 
	       Nfa,  
	       RedNfa, 
	       EpsNfa, 
	       Mon, 
	       RegExp, 
	       GenRegExp,
	       SfExp, 
	       Dcl  };

typedef enum objtype objType;

/** calls the right free(..) function for this obj
 *  @param objT type of the object
 *  @param obj  pointer to the object, cast to (int)
 */
void freeObj(objType objT, int obj) ;

#endif
