/* ArrayFunc.java
 *
 */

package net.sourceforge.amore.Helper;

import java.lang.reflect.Array ;


public class ArrayFunc {

    /** special index, smaller than all real indices */
    public final static int UNDEF = -1;

    public static boolean checkExistsTrueElem(Object q) {
	for(int i = 0; i < Array.getLength( q ); i++)
	    if( Array.getBoolean( q, i ) )
		return true;
	return false;
    }
    
    public static String booleanArrayToString(Object q) {
	StringBuffer ret = new StringBuffer();
	
	for(int i = 0; i < Array.getLength( q ); i++) {
	    ret.append( Array.getBoolean( q, i ) ? "true  " : "false ");
	}
	return new String(ret);
    }
    
    public static String intArray2ToString(Object q) {
	StringBuffer ret = new StringBuffer();
	Object v;
	int tmp;

	// q is an int[][]
	for(int i = 0; i < Array.getLength( q ); i++) {
	    v = Array.get( q, i ); // v is an int[]
	    for(int j = 0; j < Array.getLength( v ); j++) {
		tmp = Array.getInt( v, j );
		// System.out.println(tmp);
		ret.append(((tmp != UNDEF)?Integer.toString(tmp):"?")+"\t");
	    }
	    ret.append("\n");
	}
	return new String(ret);
    }

    public static String bitSetArray2ToString(Object q) {
	StringBuffer ret = new StringBuffer();
	Object v;
	
	// q is a BitSet [][]
	for(int i = 0; i < Array.getLength( q ); i++) {
	    v = Array.get( q, i ); // v is an Bitset []
	    for(int j = 0; j < Array.getLength( v ); j++) {
		ret.append( Array.get( v, j ).toString() +"\t");
	    }
	    ret.append("\n");
	}
	return new String(ret);
    }
}
