/* DfaPanel.java
 */

package net.sourceforge.amore.gui.Panels ;

import net.sourceforge.amore.gui.Panels.Tables.* ;
import net.sourceforge.amore.gui.util.LayoutHelp ;

import net.sourceforge.amore.Ldo.LangDefObj ;
import net.sourceforge.amore.Ldo.Dfa ;

// import net.sourceforge.amore.Ldo.Dfa ;

import java.awt.* ;
import javax.swing.* ;
import javax.swing.table.* ;

public class DfaPanel extends LangDefObjPanel {
    
    /*
    private DfaPanel( LangDefObj dfa ) {
	// don't use this one. never.
    }
    */

    public DfaPanel( Dfa dfa ) {
	super( dfa );

	// makeLabel("nletters:"  + dfa.getNletters() );
	LayoutHelp.makeLabel("nstates: "  + dfa.getNstates(), 
			     this, gridbag, constraints);
	  
	constraints.gridwidth = GridBagConstraints.REMAINDER; //end row

	JTable table = new DfaTable( new DfaTableModel( dfa ) );
	JTableHeader tableHeader = table.getTableHeader();

	gridbag.setConstraints(tableHeader, constraints);
	add(tableHeader);
	gridbag.setConstraints(table, constraints);
	add(table);

    }
}


    

    
