/* RegLangSetPanel.java
 */

package net.sourceforge.amore.gui.Panels ;

import net.sourceforge.amore.gui.global.PanelUIResource ;
import net.sourceforge.amore.gui.global.Resource ;

import net.sourceforge.amore.RegLangSet;

import java.awt.* ;
import javax.swing.* ;

/** panel that displays a RegLangSet object
 */
public class RegLangSetPanel extends LangDefObjPanel {

    public RegLangSetPanel( RegLangSet rs ) {
	super();
	makeTitle("reg. language "+rs.getName());
	//setFont( PanelUIResource.defaultFont );

	addSpacer(10,20);

	JLabel label;
	label = new JLabel ( "nletters: "+rs.getNletters() );
	add( label );

	// input
	label = new JLabel ( "input: " + rs.getInput().prefix() );
	constraints.gridwidth = GridBagConstraints.REMAINDER; //end row
	gridbag.setConstraints( label, constraints );
	add( label );

  	addSpacer(10,20);      

        String s = rs.getDescr();
        if (s.length() == 0) s = new String("(no description available)");
        
        JTextField textField = new JTextField( " "+ s +" " );
        textField.setEditable( false );
        constraints.gridwidth = GridBagConstraints.REMAINDER; //end row
        gridbag.setConstraints( textField, constraints );
        add( textField );
        
	//setPreferredSize(new Dimension(200, 200) );
	
    }
}
