package net.sourceforge.amore.gui.util ;

import java.awt.*;
import javax.swing.*;

public class LayoutHelp {
    
    public static void makeLabel(String s, 
				 JPanel pane,
				 GridBagLayout gridbag,
				 GridBagConstraints constraints) {
	JLabel label = new JLabel( s );
	gridbag.setConstraints( label, constraints );
	pane.add( label );
    }

    /** helps laying out components within a GridBagLayout
     */
    public static void addSpacer(int x, int y, 
				 JPanel pane,
				 GridBagLayout gridbag,
				 GridBagConstraints constraints) {
	// S P A C E R
	Box spacer = Box.createVerticalBox();
	spacer.add( Box.createRigidArea( new Dimension( x, y )) );
	constraints.gridwidth = GridBagConstraints.REMAINDER;
	gridbag.setConstraints(spacer, constraints);
	pane.add( spacer );
    }
    
}
