#include "net_sourceforge_amore_Ldo_DebugPrintVisitor.h"

#include <nfa.h>
#include <dfa.h>

#ifdef DEBUG
#include <debugPrint.h>
#endif

JNIEXPORT void JNICALL Java_net_sourceforge_amore_Ldo_DebugPrintVisitor_printNfa
  (JNIEnv *jEnv, jclass clazz, jint p) {
#ifdef DEBUG
  /* nfa n = (nfa) ((unsigned int) p); */
  debugPrintNfa( (nfa) p );
#endif
}

/*
 * Class:     net_sourceforge_amore_Ldo_DebugPrintVisitor
 * Method:    printDfa
 * Signature: (I)Ljava/lang/String;
 */
JNIEXPORT void JNICALL Java_net_sourceforge_amore_Ldo_DebugPrintVisitor_printDfa
(JNIEnv *jEnv, jclass clazz, jint p) {
#ifdef DEBUG
   debugPrintDfa( (dfa) p );
#endif
}
