#include "net_sourceforge_amore_Ldo_Monoid.h"

#include <mon.h>

#ifdef DEBUG
#include <debugPrint.h>
#endif
/* #include<stdio.h> */

JNIEXPORT void JNICALL Java_net_sourceforge_amore_Ldo_Monoid_mono_1destruct
(JNIEnv *jEnv, jclass clazz, jint p) {
    /* printf("monoiduto_1destruct( %d )\n",p);    fflush(stdout); */
    freemon( (monoid) p );
    dispose( p );
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_Monoid_mono_1getNletters
  (JNIEnv *jEnv, jclass clazz, jint p) {
    return (jint) ((monoid) p)->sno;
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_Monoid_mono_1getNstates
    (JNIEnv *jEnv, jclass clazz, jint p) {
    return (jint) (((monoid) p)->qno + 1);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_Monoid_mono_1getNelements
    (JNIEnv *jEnv, jclass clazz, jint p) {
    return (jint) (((monoid) p)->mno);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_Monoid_mono_1getNgenerators
    (JNIEnv *jEnv, jclass clazz, jint p) {
    return (jint) (((monoid) p)->gno);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_Monoid_mono_1getNo2Trans
    (JNIEnv *jEnv, jclass clazz, jint p, jint i, jint j) {
    monoid mon = (monoid) p;
    return (jint) mon->no2trans[ i ][ j ];
}


JNIEXPORT jstring JNICALL Java_net_sourceforge_amore_Ldo_Monoid_mono_1getPrWord
    (JNIEnv *jEnv, jclass clazz, jint p, jint i) {
    monoid mon = (monoid) p;
    string word;
    /*
    printf("\nEntered Java..getPrWord, no %d ", (int) i);
    debugPrintMonoid( mon );
      printf("\nmon->word :%d", (int) mon->word);
      if( NULL != mon->word )
      printf( "\"%s\"",mon->word);
    */
    word = prword(i, mon, TRUE);
    /* printf("\nok, result: \"%s\"\n",word); */
    return (*jEnv)->NewStringUTF(jEnv, word);
    /* Java takes care of freeing the memory ... */
}


/*
JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_Monoid_mono_1getGenerator
    (JNIEnv *jEnv, jclass clazz, jint p, jint i ) {
    monoid mon = (monoid) p;
    return (jint) mon->generator[ i ];
}
*/
