#include "net_sourceforge_amore_Ldo_TransformsB.h"

#ifdef DEBUG
#include <debugPrint.h>
#endif

#include <nfa.h>
#include <dfa.h>

#include <unaryB.h>

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_TransformsB_prim_1starnfa(JNIEnv *jEnv, jclass clazz, jint p) {
  nfa n = (nfa) ((unsigned int) p);
  return (jint) starnfa(n, FALSE);
}
  JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_TransformsB_prim_1plusnfa(JNIEnv *jEnv, jclass clazz, jint p) {
  nfa n = (nfa) ((unsigned int) p);
  return (jint) starnfa(n, TRUE);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_TransformsB_prim_1revnfa(JNIEnv *jEnv, jclass clazz, jint p) {
  nfa n = (nfa) ((unsigned int) p);
  return (jint) revnfa(n);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_TransformsB_prim_1compldfa(JNIEnv *jEnv, jclass clazz, jint p) {
  dfa d = (dfa) ((unsigned int) p);
  return (jint) compldfa(d);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_TransformsB_prim_1minL(JNIEnv *jEnv, jclass clazz, jint p) {
  dfa d = (dfa) ((unsigned int) p);
  return (jint) minL(d);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_TransformsB_prim_1maxL(JNIEnv *jEnv, jclass clazz, jint p) {
  dfa d = (dfa) ((unsigned int) p);
  return (jint) maxL(d);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_TransformsB_prim_1pref(JNIEnv *jEnv, jclass clazz, jint p) {
  dfa d = (dfa) ((unsigned int) p);
  return (jint) pref(d);
}

JNIEXPORT jint JNICALL Java_net_sourceforge_amore_Ldo_TransformsB_prim_1suff(JNIEnv *jEnv, jclass clazz, jint p) {
  dfa d = (dfa) ((unsigned int) p);
  return (jint) suff(d);
}
