/* Tests.java
 * 14.11.2001 - 13:55
 * wrappers around (primitive) transforms
 */

package net.sourceforge.amore.Ldo ;

import net.sourceforge.amore.RegLangSet ;

/** provides interface to libAMoRE functions
 */

final public class BinTests {
    //
    // RegLangSet
    //
    private static native boolean full(int p);

    public static boolean full(RegLangSet l) {
	return full( l.getCpointer() );
    }

    private static native boolean empty(int p);
    public static boolean empty(RegLangSet l) {
	return empty( l.getCpointer() );
    }

    private static native boolean equiv(int p1, int p2) ;
    public static boolean equiv(Dfa d1, Dfa d2) {
	return equiv( d1.p, d2.p );
    }

    // L1 \in L2 ?
    private static native boolean contained(int p1, int p2);
    public static boolean contained(Dfa d1, Dfa d2) {
	return contained( d1.p, d2.p );
    }
    
    // L1 & L2 = 0
    private static native boolean disjoint(int p1, int p2);
    public static boolean disjoint(Dfa d1, Dfa d2) {
	return contained( d1.p, d2.p );
    }
    
}
