/* TransformsB.java
 */

/** transforms that do not preserve the language.
 *  contains only static methods.
 */
package net.sourceforge.amore.Ldo ;

final public class TransformsB {
    
    // Aplus, Astar 
    
    private static native int prim_starnfa(int p);
    public static Nfa starNfa(Nfa n) {
        return new Nfa(prim_starnfa(n.p));
    }
    private static native int prim_plusnfa(int p);
    public static Nfa plusNfa(Nfa n) {
        return new Nfa(prim_plusnfa(n.p));
    }

    // Arev
    private static native int prim_revnfa(int p);
    public static Nfa revNfa(Nfa n) {
        return new Nfa(prim_revnfa(n.p));
    }
    // ~A
    private static native int prim_compldfa(int p);
    public static Dfa complDfa(Dfa d) {
        return new Dfa(prim_compldfa(d.p));
    }
    
    private static native int prim_minL(int p);
    public static Dfa minL_Dfa(Dfa d) {
        return new Dfa(prim_minL(d.p));
    }
    private static native int prim_maxL(int p);
    public static Dfa maxL_Dfa(Dfa d) {
        return new Dfa(prim_maxL(d.p));
    }
    private static native int prim_pref(int p);
    public static Dfa prefDfa(Dfa d) {
        return new Dfa(prim_pref(d.p));
    }
    private static native int prim_suff(int p);
    public static Nfa suffNfa(Dfa d) {
        return new Nfa(prim_suff(d.p));
    }

    
}
